com.h3c.sdn.metric

## Class UidMetricDescriptor

- java.lang.Object
- - com.h3c.sdn.metric.UidMetricDescriptor

-     public class UidMetricDescriptor
      extends Object

  Container object that pairs a `MetricDescriptor` with a metric identifier.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UidMetricDescriptor(MetricDescriptor descriptor, String uid)` Creates a new `UidMetricDescriptor` using the current time.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object toCompare)`
    `MetricDescriptor` | `getDescriptor()` Gets the `MetricDescriptor`.
    `String` | `getUid()` Gets the metric identifier.
    `int` | `hashCode()`
    `String` | `toDebugString()` Gets a detailed representation of this object to facilitate debugging.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UidMetricDescriptor

          public UidMetricDescriptor(MetricDescriptor descriptor,
                             String uid)

      Creates a new `UidMetricDescriptor` using the current time.
      Parameters:
        `descriptor` - the `MetricDescriptor` to associate with a time stamp
        `uid` - the metric identifier associated with this metric descriptor
      Throws:
        `IllegalArgumentException` - if a null `MetricDescriptor` is supplied

  - ### Method Detail

    - #### equals

          public boolean equals(Object toCompare)

      Overrides:
        `equals` in class `Object`

    - #### getDescriptor

          public MetricDescriptor getDescriptor()

      Gets the `MetricDescriptor`.
      Returns:
        descriptor

    - #### getUid

          public String getUid()

      Gets the metric identifier.
      Returns:
        the metric identifier

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toDebugString

          public String toDebugString()

      Gets a detailed representation of this object to facilitate debugging.
      Returns:
        debug representation of object

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.